#include "clientapi.h"

#include "clientgremlin.h"

#include "clientgremlinclient.h"

ClientGremlinClient::ClientGremlinClient( ClientApi* client )
:ClientGremlin( client, "client" ), done( false )
{

}

void ClientGremlinClient::OutputInfo( char level, const_char* data )
{
	for( char* p = data; !input.Contains( StrRef( "View:\n" ) ) && *p ; p++ )
		input.Append( p, 1 );

	if ( !input.Contains( StrRef( "View:\n" ) ) )
		input.Append( "\nView:\n" );

	input.Append( &view );
}